Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Anthony G. Basile" <blueness@g.o>
Subject: dev/blueness:master commit in: app-benchmarks/spew/
Date: Tue, 5 Apr 2011 21:42:32 +0000 (UTC)
commit:     575e5fe95c01fda51c370af591eeb3707efd3021
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  5 21:38:50 2011 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Tue Apr  5 21:42:12 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/blueness.git;a=commit;h=575e5fe9

app-benchmarks/spew: failed attempt to save static linking

---
 app-benchmarks/spew/ChangeLog         |    3 +++
 app-benchmarks/spew/Manifest          |   14 ++------------
 app-benchmarks/spew/spew-1.0.8.ebuild |   14 +++++++-------
 3 files changed, 12 insertions(+), 19 deletions(-)

diff --git a/app-benchmarks/spew/ChangeLog b/app-benchmarks/spew/ChangeLog
index 2f480f0..e5b7f2d 100644
--- a/app-benchmarks/spew/ChangeLog
+++ b/app-benchmarks/spew/ChangeLog
@@ -1,5 +1,8 @@
 
 
+  05 Apr 2011; Anthony G. Basile <blueness@g.o> ChangeLog:
+  failed attempt to save static linking
+
 *spew-1.0.8 (05 Apr 2011)
 
   05 Apr 2011; Anthony G. Basile <blueness@g.o> +spew-1.0.8.ebuild,

diff --git a/app-benchmarks/spew/Manifest b/app-benchmarks/spew/Manifest
index 126cd35..f02dddb 100644
--- a/app-benchmarks/spew/Manifest
+++ b/app-benchmarks/spew/Manifest
@@ -1,15 +1,5 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
-
 AUX remove-symlinks-makefile.patch 1125 RMD160 ce243020147db07916bbece151bd5116a9a106bf SHA1 6a4a64afe8cb45ee01af7b0e0a4997510b54a029 SHA256 06e591faefec55e12d52576f7ac4972dc4e4d0ba550f20bac3c089c7df1253a1
 DIST spew-1.0.8.tgz 162091 RMD160 e67314f97a04440a6590133377ae1b76d2e81c7a SHA1 70258b13b0c5ec622024ff077a1ea86dd972819c SHA256 200da1b4390a5e4bf91cb7278b3ad813194f0e395abc0da6296ac415e11a76cb
-EBUILD spew-1.0.8.ebuild 867 RMD160 cbd1d424de78f2365aae98546c6c6a0d40a9cb1f SHA1 b23f76b5a9c76e7492d1e73b97e5f111f4608b24 SHA256 6f0be2a492d0d5ca97ce2aba8b44db476610c378f25b020f264199348e5cf3a0
-MISC ChangeLog 179 RMD160 21b25722427f9d337dd6b24f40c3494fe61decb7 SHA1 d118780f0fd081652557bd237c22f0553a9cf1e0 SHA256 22e7fb5536fadeee8fec80eee0982bb309e51ca2f715a83c3ec5e05e32465576
+EBUILD spew-1.0.8.ebuild 913 RMD160 c9ee740c8c82f549c8e17f981a60138d1502d419 SHA1 3d18897e9edbadd9e8d4421abcf2797c8533dc43 SHA256 080675e54018114ac26e4a33fc3706553e764aaf95352612512a86fdca43d442
+MISC ChangeLog 286 RMD160 72c080256dbe5f156ff9f4972ef32970df512df4 SHA1 7a0c0b6effcc820aec199e197064ad0a3da4064c SHA256 3d25396b7876ceaf1e5a5f14cc6bdbfbbf68d76082780e978fbb6faf879706f7
 MISC metadata.xml 447 RMD160 b52268043bc52e4e7585a08afce87d44d8aed447 SHA1 4a125d08613a97c00528b9dd1509e267eefa8000 SHA256 364f375c7dadcede1d8384f71bf2ad059cbcfea4efc486e9e8e3f7a3ef78c037
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.17 (GNU/Linux)
-
-iEYEAREIAAYFAk2bIRMACgkQl5yvQNBFVTUh+wCcDPAyuGc5iN7zL/jxKtTmzX3t
-TqAAnj8/X5paQyWHXeWLpDaQVzuXoEkp
-=Ldxh
------END PGP SIGNATURE-----

diff --git a/app-benchmarks/spew/spew-1.0.8.ebuild b/app-benchmarks/spew/spew-1.0.8.ebuild
index ad62109..b3c55a0 100644
--- a/app-benchmarks/spew/spew-1.0.8.ebuild
+++ b/app-benchmarks/spew/spew-1.0.8.ebuild
@@ -13,10 +13,10 @@ SRC_URI="ftp://ftp.berlios.de/pub/spew/1.0.8/spew-1.0.8.tgz"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
-IUSE="static-libs"
+IUSE="static"
 
 DEPEND="sys-libs/ncurses
-	dev-libs/popt"
+	static? ( dev-libs/popt[static-libs] ) !static? ( dev-libs/popt )"
 RDEPEND="${DEPEND}"
 
 src_prepare() {
@@ -25,13 +25,13 @@ src_prepare() {
 }
 
 src_configure() {
-	econf $(use_enable static-libs static-link) || die "econf failed"
+	econf $(use_enable static static-link) || die "econf failed"
 }
 
 src_install() {
 	emake DESTDIR="${D}" install || die "emake install failed"
-	dosym spew /usr/bin/gorge
-	dosym spew /usr/bin/regorge
-	dosym spew.1.bz2 /usr/share/man/man1/gorge.1.bz2
-	dosym spew.1.bz2 /usr/share/man/man1/reorge.1.bz2
+	dosym ${PN} /usr/bin/gorge
+	dosym ${PN} /usr/bin/regorge
+	dosym ${PN}.1.bz2 /usr/share/man/man1/gorge.1.bz2
+	dosym ${PN}.1.bz2 /usr/share/man/man1/reorge.1.bz2
 }


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
dev/blueness:master commit in: app-benchmarks/spew/files/, app-benchmarks/spew/
Next by thread:
gentoo-x86 commit in net-proxy/sshproxy: sshproxy-0.6.0_beta2-r1.ebuild ChangeLog
Previous by date:
dev/blueness:master commit in: app-benchmarks/spew/files/, app-benchmarks/spew/
Next by date:
gentoo-x86 commit in net-proxy/sshproxy: sshproxy-0.6.0_beta2-r1.ebuild ChangeLog


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.